Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.portal.ejb
Class DefaultCredentials

    java.lang.Object
      |
      +--java.util.Dictionary
            |
            +--java.util.Hashtable
                  |
                  +--java.util.Properties
                        |
                        +--com.beasys.portal.ejb.DefaultCredentials

public class DefaultCredentials
extends java.util.Properties
implements Credentials, java.io.Serializable

Default implementation of the Credentials interface.

See Also:
  Serialized Form

Fields inherited from class java.util.Properties
`defaults`

Constructor Summary
`DefaultCredentials()` Default constructor.
`DefaultCredentials(java.lang.String aUserId, java.lang.String aPortalName, java.lang.String aSystemName, java.lang.String aSystemUserId, java.lang.String aPassword)` Construct a DefaultCredentials.

Method Summary
`java.lang.String` | `getPortalName()` Get portal name.
`java.util.Properties` | `getProperties()` Get any properties associated to this set of credentials.
`java.lang.String` | `getSystemName()` Get system name.
`java.lang.String` | `getSystemPassword()` Get system password.
`java.lang.String` | `getSystemUserId()` Get system user id.
`java.lang.String` | `getUserId()` Get user id.
`void` | `setPortalName(java.lang.String aPortalName)` Set portal name.
`java.lang.Object` | `setProperty(java.lang.String aProperty, java.lang.String aValue)` Set a property associated to this set of credentials.
`void` | `setSystemName(java.lang.String aSystemName)` Set system name.
`void` | `setSystemPassword(java.lang.String aPassword)` Set system password.
`void` | `setSystemUserId(java.lang.String aUserId)` Set system user id.
`void` | `setUserId(java.lang.String aUserId)` Set user id.

Methods inherited from class java.util.Properties
`getProperty, getProperty, list, list, load, propertyNames, save, store`

Methods inherited from class java.util.Hashtable
`clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, get, hashCode, isEmpty, keys, keySet, put, putAll, rehash, remove, size, toString, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DefaultCredentials

    public DefaultCredentials()

  Default constructor.

### DefaultCredentials

    public DefaultCredentials(java.lang.String aUserId,
                              java.lang.String aPortalName,
                              java.lang.String aSystemName,
                              java.lang.String aSystemUserId,
                              java.lang.String aPassword)

  Construct a DefaultCredentials.
  Parameters:
    `aUserId` - the user id.
    `aPortalName` - the portal name.
    `aSystemName` - the system name.
    `aSystemUserId` - the system user id.
    `aPassword` - the password associated to aSystemUserid

Method Detail

### getUserId

    public java.lang.String getUserId()

  Get user id.
  Specified by:
    getUserId in interface Credentials
  Returns:
    `String` the user id.

### setUserId

    public void setUserId(java.lang.String aUserId)

  Set user id.
  Specified by:
    setUserId in interface Credentials
  Parameters:
    `aUserId` - the user id.

### getPortalName

    public java.lang.String getPortalName()

  Get portal name.
  Specified by:
    getPortalName in interface Credentials
  Returns:
    `String` the portal name.

### setPortalName

    public void setPortalName(java.lang.String aPortalName)

  Set portal name.
  Specified by:
    setPortalName in interface Credentials
  Parameters:
    `aPortalName` - the portal name.

### getSystemName

    public java.lang.String getSystemName()

  Get system name.
  Specified by:
    getSystemName in interface Credentials
  Returns:
    `String` the system name.

### setSystemName

    public void setSystemName(java.lang.String aSystemName)

  Set system name.
  Specified by:
    setSystemName in interface Credentials
  Parameters:
    `aSystemName` - the system name.

### getSystemUserId

    public java.lang.String getSystemUserId()

  Get system user id.
  Specified by:
    getSystemUserId in interface Credentials
  Returns:
    `String` the system user id.

### setSystemUserId

    public void setSystemUserId(java.lang.String aUserId)

  Set system user id.
  Specified by:
    setSystemUserId in interface Credentials
  Parameters:
    `aUserId` - set the system user id.

### getSystemPassword

    public java.lang.String getSystemPassword()

  Get system password.
  Specified by:
    getSystemPassword in interface Credentials
  Returns:
    `String` the system password.

### setSystemPassword

    public void setSystemPassword(java.lang.String aPassword)

  Set system password.
  Specified by:
    setSystemPassword in interface Credentials
  Parameters:
    `aPassword` - the system password.

### getProperties

    public java.util.Properties getProperties()

  Get any properties associated to this set of credentials.
  Specified by:
    getProperties in interface Credentials
  Returns:
    `Properties` the associated properties.

### setProperty

    public java.lang.Object setProperty(java.lang.String aProperty,
                                        java.lang.String aValue)

  Set a property associated to this set of credentials.
  Specified by:
    setProperty in interface Credentials
  Overrides:
    setProperty in class java.util.Properties
  Parameters:
    `aProperty` - a key.
    `aValue` - a value.
  Returns:
    `Object` the value.

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 BEA Systems, Inc. All Rights Reserved